LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XRangeXMLConversion Interface Reference

An application that provides data for a chart must implement this interface. More...

`import"XRangeXMLConversion.idl";`

Inheritance diagram for XRangeXMLConversion:

## Public Member Functions
string | convertRangeToXML ([in] string aRangeRepresentation) raises ( com::sun::star::lang::IllegalArgumentException )
| converts the range to a valid XML syntax. More...
string | convertRangeFromXML ([in] string aXMLRange) raises ( com::sun::star::lang::IllegalArgumentException )
| converts an XML-style range into the internal DataProvider's format. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

An application that provides data for a chart must implement this interface.

## Member Function Documentation

## ◆ convertRangeFromXML()

string convertRangeFromXML | ( | [in] string | aXMLRange | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

converts an XML-style range into the internal DataProvider's format.

## ◆ convertRangeToXML()

string convertRangeToXML | ( | [in] string | aRangeRepresentation | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

converts the range to a valid XML syntax.

For example spreadsheet ranges consisting of more than one consecutive region are usually separated by a semicolon whereas in XML you separate multiple regions by a space.

The documentation for this interface was generated from the following file:

- com/sun/star/chart2/data/XRangeXMLConversion.idl